> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# List Auditions
>
Lists the audit searches performed during a specified period. This endpoint requires a license that includes the `auditing` module. Dates use ISO 8601 format. Requests are limited to ten per minute.
This endpoint replaces the `auditGetAuditions` real-time method, which was removed in 9.0.0.
**Permission required**:
- `can-audit-log`
### Changelog
| Version | Description |
| ---------------- | ------------|
|8.8.0 | Added |
## OpenAPI
````json GET /api/v1/audit.auditions
{
"openapi": "3.0.0",
"info": {
"version": "1.0.0",
"title": "Settings"
},
"servers": [
{
"url": "https://apiexplorer.support.rocket.chat"
}
],
"tags": [
{
"name": "Settings"
},
{
"name": "Audit"
},
{
"name": "Cloud"
},
{
"name": "DNS"
},
{
"name": "E2E"
},
{
"name": "Import"
},
{
"name": "Bulk User Import"
},
{
"name": "Instances"
},
{
"name": "Moderation"
},
{
"name": "Device Management"
},
{
"name": "Password policy"
},
{
"name": "Video Conference"
},
{
"name": "Media Calls"
}
],
"paths": {
"/api/v1/audit.auditions": {
"parameters": [],
"get": {
"tags": [
"Audit"
],
"summary": "List Auditions",
"description": "\n\nLists the audit searches performed during a specified period. This endpoint requires a license that includes the `auditing` module. Dates use ISO 8601 format. Requests are limited to ten per minute.\n\nThis endpoint replaces the `auditGetAuditions` real-time method, which was removed in 9.0.0.\n\n**Permission required**:\n- `can-audit-log`\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|8.8.0 | Added |",
"operationId": "get-api-v1-audit.auditions",
"parameters": [
{
"$ref": "#/components/parameters/X-User-Id"
},
{
"$ref": "#/components/parameters/X-Auth-Token"
},
{
"name": "startDate",
"in": "query",
"required": true,
"description": "The beginning of the period to list, as an ISO date string.",
"schema": {
"type": "string",
"format": "date-time"
},
"example": "2026-08-01T00:00:00Z"
},
{
"name": "endDate",
"in": "query",
"required": true,
"description": "The end of the period to list, as an ISO date string.",
"schema": {
"type": "string",
"format": "date-time"
},
"example": "2026-08-20T23:59:59.999Z"
}
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"auditions": {
"type": "array",
"description": "The audit log entries recorded in the requested period.",
"items": {
"type": "object",
"properties": {
"_id": {
"type": "string"
},
"_updatedAt": {
"type": "string",
"format": "date-time"
},
"ts": {
"type": "string",
"format": "date-time"
},
"results": {
"type": "number"
},
"u": {
"type": "object",
"properties": {
"_id": {
"type": "string"
},
"username": {
"type": "string"
},
"name": {
"type": "string"
},
"avatarETag": {
"type": "string"
}
},
"required": [
"_id"
],
"additionalProperties": false
},
"fields": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"msg": {
"type": "string",
"nullable": true
},
"startDate": {
"type": "string",
"format": "date-time",
"nullable": true
},
"endDate": {
"type": "string",
"format": "date-time",
"nullable": true
},
"rids": {
"type": "array",
"nullable": true,
"items": {
"type": "string"
}
},
"room": {
"type": "string",
"nullable": true
},
"users": {
"type": "array",
"nullable": true,
"items": {
"type": "string"
}
},
"visitor": {
"type": "string",
"nullable": true
},
"agent": {
"type": "string",
"nullable": true
},
"filters": {
"type": "string",
"nullable": true
}
},
"required": [
"type"
],
"additionalProperties": false
}
},
"required": [
"_id",
"ts",
"results",
"u",
"fields"
],
"additionalProperties": false
}
},
"success": {
"type": "boolean"
}
},
"required": [
"auditions",
"success"
],
"additionalProperties": false
},
"examples": {
"Success Example": {
"value": {
"auditions": [],
"success": true
}
}
}
}
}
},
"401": {
"$ref": "#/components/responses/authorizationError"
},
"403": {
"$ref": "#/components/responses/forbiddenError"
}
}
}
}
},
"components": {
"parameters": {
"X-User-Id": {
"name": "X-User-Id",
"in": "header",
"required": true,
"schema": {
"type": "string"
},
"example": "CkCPNctrgCDfmWLqC",
"description": "The user ID."
},
"X-Auth-Token": {
"name": "X-Auth-Token",
"in": "header",
"required": true,
"schema": {
"type": "string"
},
"example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE",
"description": "The authentication token."
}
},
"responses": {
"authorizationError": {
"description": "Unauthorized",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
}
}
},
"examples": {
"Authorization Error": {
"value": {
"success": false,
"error": "You must be logged in to do this."
}
}
}
}
}
},
"forbiddenError": {
"description": "Forbidden",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
},
"errorType": {
"type": "string"
}
}
},
"examples": {
"Permission Error": {
"value": {
"success": false,
"error": "User does not have the permissions required for this action",
"errorType": "error-forbidden"
}
}
}
}
}
}
}
}
}
````